Robotsystem of the Robot Group Leipzig: AbstractRobot Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# AbstractRobot Class Reference

Abstract class (interface) for robot in general. More...

`#include <abstractrobot.h>`

Inherits Trackable, and Configurable.

Inherited by OdeRobot, and MyRobot.

Inheritance diagram for AbstractRobot:

[legend]
Collaboration diagram for AbstractRobot:

[legend]
List of all members.

## Public Types
typedef double | sensor
typedef double | motor
## Public Member Functions
| AbstractRobot (const std::string &name="abstractRobot", const std::string &revision="$ID$")
| Constructor.
virtual | ~AbstractRobot ()
virtual int | getSensors (sensor *sensors, int sensornumber)=0
| returns actual sensorvalues
virtual void | setMotors (const motor *motors, int motornumber)=0
| sets actual motorcommands
virtual int | getSensorNumber ()=0
| returns number of sensors
virtual int | getMotorNumber ()=0
| returns number of motors

## Detailed Description

Abstract class (interface) for robot in general.

Examples:

  integration/main.cpp.

## Member Typedef Documentation

typedef double motor

typedef double sensor

## Constructor & Destructor Documentation

AbstractRobot | ( | const std::string & | name = `"abstractRobot"`,
|  | const std::string & | revision = `"$ID$"` |
| ) |  |  | `[inline]`

Constructor.

Parameters:

  | name | name of the robot
  | revision | revision number of the file (Hint: use CVS variable
      $ID$
  )

virtual ~AbstractRobot | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual int getMotorNumber | ( |  | ) | `[pure virtual]`

returns number of motors

Implemented in MyRobot, AddSensors2RobotAdapter, Arm, Arm2Segm, AtomComponent, CaterPillar, Component, DefaultCaterPillar, DefaultWheelie, ForcedSphere, Formel1, Hand, HurlingSnake, MuscledArm, Nimm2, Nimm4, ReplayRobot, RobotComponent, Schlange, SchlangeForce, SchlangeServo, SchlangeServo2, SchlangeVelocity, ShortCircuit, SliderWheelie, Sphererobot, Sphererobot3Masses, TruckMesh, Uwo, VierBeiner, and Wheelie.

virtual int getSensorNumber | ( |  | ) | `[pure virtual]`

returns number of sensors

Implemented in MyRobot, AddSensors2RobotAdapter, Arm, Arm2Segm, AtomComponent, CaterPillar, Component, DefaultCaterPillar, DefaultWheelie, ForcedSphere, Formel1, FourWheeled, Hand, HurlingSnake, MuscledArm, Nimm2, Nimm4, ReplayRobot, RobotComponent, Schlange, SchlangeForce, SchlangeServo, SchlangeServo2, SchlangeVelocity, ShortCircuit, SliderWheelie, Sphererobot, Sphererobot3Masses, TruckMesh, Uwo, VierBeiner, and Wheelie.

virtual int getSensors | ( | sensor * | sensors,
|  | int | sensornumber |
| ) |  |  | `[pure virtual]`

returns actual sensorvalues

Parameters:

  | sensors | sensors scaled to [-1,1]
  | sensornumber | length of the sensor array

Returns:
  number of actually written sensors

Implemented in MyRobot, AddSensors2RobotAdapter, Arm, Arm2Segm, AtomComponent, Barrel2Masses, Barrel2Masses2nd, CaterPillar, Component, DefaultCaterPillar, DefaultWheelie, ForcedSphere, Formel1, FourWheeled, Hand, HurlingSnake, MuscledArm, Nimm2, Nimm4, ReplayRobot, RobotComponent, Schlange, SchlangeForce, SchlangeServo, SchlangeServo2, SchlangeVelocity, ShortCircuit, SliderWheelie, Sphererobot, Sphererobot3Masses, TruckMesh, Uwo, VierBeiner, and Wheelie.

virtual void setMotors | ( | const motor * | motors,
|  | int | motornumber |
| ) |  |  | `[pure virtual]`

sets actual motorcommands

Parameters:

  | motors | motors scaled to [-1,1]
  | motornumber | length of the motor array

Implemented in MyRobot, AddSensors2RobotAdapter, Arm, Arm2Segm, AtomComponent, CaterPillar, Component, DefaultCaterPillar, DefaultWheelie, ForcedSphere, Formel1, Hand, HurlingSnake, MuscledArm, Nimm2, Nimm4, ReplayRobot, RobotComponent, Schlange, SchlangeForce, SchlangeServo, SchlangeServo2, SchlangeVelocity, ShortCircuit, SliderWheelie, Sphererobot, Sphererobot3Masses, TruckMesh, Uwo, VierBeiner, and Wheelie.

The documentation for this class was generated from the following file:

- abstractrobot.h